# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['sphynxml',
 'sphynxml.Assurance_db',
 'sphynxml.Cronjobs',
 'sphynxml.ETL',
 'sphynxml.Elasticsearch',
 'sphynxml.Elasticsearch.tests',
 'sphynxml.Predictors',
 'sphynxml.Preprocessors',
 'sphynxml.Preprocessors.tests',
 'sphynxml.RabbitMQ',
 'sphynxml.Statistics',
 'sphynxml.Validators',
 'sphynxml.tests',
 'sphynxml.tests.test_Elasticsearch',
 'sphynxml.tests.test_SphynxETL',
 'sphynxml.tests.test_preprocessors',
 'sphynxml.tests.test_statistics',
 'sphynxml.tests.test_utils',
 'sphynxml.utils']

package_data = \
{'': ['*']}

install_requires = \
['Cython==0.29.26',
 'Django==3.2.11',
 'Flask==2.0.2',
 'GitPython==3.1.26',
 'HeapDict==1.0.1',
 'Jinja2==3.0.3',
 'Mako==1.1.6',
 'MarkupSafe==2.0.1',
 'Pillow==9.0.0',
 'PyWavelets==1.2.0',
 'PyYAML==6.0',
 'Pygments==2.11.2',
 'SQLAlchemy==1.4.31',
 'Send2Trash==1.8.0',
 'Sphinx>=4.3.0,<4.4.0',
 'Werkzeug==2.0.2',
 'alembic==1.7.5',
 'argon2-cffi-bindings==21.2.0',
 'argon2-cffi==21.3.0',
 'asgiref==3.5.0',
 'attrs==21.4.0',
 'backcall==0.2.0',
 'black>=22.1.0,<22.2.0',
 'bleach==4.1.0',
 'catboost==1.0.4',
 'category-encoders==2.3.0',
 'celery>=5.2.3,<6.0.0',
 'certifi==2021.10.8',
 'cffi==1.15.0',
 'charset-normalizer==2.0.10',
 'click==8.0.3',
 'cloudpickle==2.0.0',
 'colorama==0.4.4',
 'coreapi==2.3.3',
 'coreschema==0.0.4',
 'coverage==6.3.1',
 'crontab>=0.23.0,<0.24.0',
 'cycler==0.11.0',
 'dask==2022.1.0',
 'databricks-cli==0.16.2',
 'debugpy==1.5.1',
 'decorator==4.4.2',
 'defusedxml==0.7.1',
 'distributed==2022.1.0',
 'djangorestframework==3.13.1',
 'docker==5.0.3',
 'drf-yasg==1.20.0',
 'elasticsearch==7.17.0',
 'entrypoints==0.3',
 'evalml==0.43.0',
 'featuretools==1.4.0',
 'fonttools==4.29.0',
 'fsspec==2022.1.0',
 'gitdb==4.0.9',
 'graphviz==0.19.1',
 'greenlet==1.1.2',
 'gunicorn==20.1.0',
 'idna==3.3',
 'imageio==2.14.1',
 'imbalanced-learn==0.9.0',
 'importlib-metadata>=4.2.0,<4.3.0',
 'importlib-resources==5.4.0',
 'inflection==0.5.1',
 'iniconfig==1.1.1',
 'ipykernel==6.7.0',
 'ipython==7.31.1',
 'ipython_genutils==0.2.0',
 'ipywidgets==7.6.5',
 'itsdangerous==2.0.1',
 'itypes==1.2.0',
 'jedi==0.18.1',
 'joblib==1.1.0',
 'jsonschema==4.4.0',
 'jupyter-client==7.1.2',
 'jupyter-core==4.9.1',
 'jupyterlab-pygments==0.1.2',
 'jupyterlab-widgets==1.0.2',
 'kaleido==0.2.1',
 'kiwisolver==1.3.2',
 'lightgbm==3.3.2',
 'lime==0.2.0.1',
 'llvmlite==0.38.0',
 'locket==0.2.1',
 'matplotlib-inline==0.1.3',
 'matplotlib==3.5.1',
 'mistune==0.8.4',
 'mlflow==1.23.0',
 'model-bakery==1.4.0',
 'msgpack==1.0.3',
 'mypy-extensions==0.4.3',
 'nbclient==0.5.10',
 'nbconvert==6.4.0',
 'nbformat==5.1.3',
 'nest-asyncio==1.5.4',
 'networkx==2.5.1',
 'nlp-primitives==2.1.0',
 'nltk==3.6.5',
 'notebook==6.4.8',
 'numba==0.55.0',
 'numpy==1.21.5',
 'packaging==21.3',
 'pandas==1.3.5',
 'pandocfilters==1.5.0',
 'parso==0.8.3',
 'partd==1.2.0',
 'pathspec==0.9.0',
 'patsy==0.5.2',
 'pexpect==4.8.0',
 'pickleshare==0.7.5',
 'pika>=1.2.0,<2.0.0',
 'platformdirs==2.4.1',
 'plotly==5.5.0',
 'pluggy==1.0.0',
 'pmdarima==1.8.4',
 'prometheus-client==0.13.0',
 'prometheus-flask-exporter==0.18.7',
 'prompt-toolkit==3.0.24',
 'protobuf==3.19.3',
 'psutil==5.9.0',
 'psycopg2==2.9.3',
 'ptyprocess==0.7.0',
 'py==1.11.0',
 'pyaml==21.10.1',
 'pycparser==2.21',
 'pyparsing==3.0.7',
 'pyrsistent==0.18.1',
 'pytest-cov>=3.0.0,<4.0.0',
 'pytest-django==4.5.2',
 'pytest==6.2.5',
 'python-dateutil==2.8.2',
 'pytz==2021.3',
 'pyzmq==22.3.0',
 'querystring-parser==1.2.4',
 'regex==2022.1.18',
 'requests==2.27.1',
 'requirements-parser==0.5.0',
 'ruamel.yaml.clib==0.2.6',
 'ruamel.yaml==0.17.20',
 'scikit-image==0.19.1',
 'scikit-learn==1.0.2',
 'scikit-optimize==0.9.0',
 'scipy==1.7.3',
 'seaborn==0.11.2',
 'shap==0.40.0',
 'six==1.16.0',
 'sktime==0.8.0',
 'slicer==0.0.7',
 'smmap==5.0.0',
 'sortedcontainers==2.4.0',
 'sqlparse==0.4.2',
 'statsmodels==0.13.1',
 'tabulate==0.8.9',
 'tblib==1.7.0',
 'tenacity==8.0.1',
 'terminado==0.12.1',
 'testpath==0.5.0',
 'texttable==1.6.4',
 'threadpoolctl==3.0.0',
 'tifffile==2021.11.2',
 'toml==0.10.2',
 'tomli==1.2.3',
 'toolz==0.11.2',
 'tornado==6.1',
 'tqdm==4.62.3',
 'traitlets==5.1.1',
 'typed-ast==1.5.2',
 'types-setuptools==57.4.7',
 'typing-extensions==4.0.1',
 'uritemplate==4.1.1',
 'urllib3==1.26.8',
 'vowpalwabbit==8.11.0',
 'wcwidth==0.2.5',
 'webencodings==0.5.1',
 'websocket-client==1.2.3',
 'widgetsnbextension==3.5.2',
 'woodwork==0.11.1',
 'xgboost==1.5.2',
 'zict==2.0.0',
 'zipp==3.7.0']

setup_kwargs = {
    'name': 'sphynxml',
    'version': '2.0.0',
    'description': '',
    'long_description': None,
    'author': 'IORDANIS XANTHOPOULOS',
    'author_email': 'i.xanthopoulos@sphynx.ch',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7.1,<3.8.0',
}


setup(**setup_kwargs)
